Lorene::Single_hor Class Reference
Stars and black holes

Binary black holes system. More...

`#include <isol_hor.h>`

## Public Member Functions

| Single_hor (Map_af &mpi)
| Standard constructor.
| Single_hor (const Single_hor &)
| Copy constructor.
| Single_hor (Map_af &mp, FILE *fich)
| Constructor from a binary file.
virtual | ~Single_hor ()
| Destructor.
void | operator= (const Single_hor &)
| Assignment to another Single_hor.
const Map_af & | get_mp () const
| Returns the mapping (readonly).
Map_af & | set_mp ()
| Read/write of the mapping.
double | get_radius () const
| Returns the radius of the horizon.
void | set_radius (double rad)
| Sets the radius of the horizon to `rad` .
double | get_omega () const
| Returns the angular velocity.
void | set_omega (double ome)
| Sets the angular velocity to `ome` .
const Scalar & | get_n_auto () const
| Lapse function .
const Scalar & | get_n_comp () const
| Lapse function .
const Scalar & | get_nn () const
| Lapse function .
const Scalar & | get_psi_auto () const
| Conformal factor .
const Scalar & | get_psi_comp () const
| Conformal factor .
const Scalar & | get_psi () const
| Conformal factor .
const Scalar & | get_psi4 () const
| Conformal factor .
const Vector & | get_dn () const
| Covariant derivative of the lapse function .
const Vector & | get_dpsi () const
| Covariant derivative with respect to the flat metric of the conformal factor .
const Vector & | get_beta_auto () const
| Shift function .
const Vector & | get_beta_comp () const
| Shift function .
const Vector & | get_beta () const
| Shift function .
const Sym_tensor & | get_aa_auto () const
| Conformal representation of the traceless part of the extrinsic curvature:
const Sym_tensor & | get_aa_comp () const
| Conformal representation of the traceless part of the extrinsic curvature:
const Sym_tensor & | get_aa () const
| Conformal representation of the traceless part of the extrinsic curvature:
const Metric & | get_tgam () const
| Conformal metric .
const Metric & | get_gam () const
| metric
const Sym_tensor & | get_k_dd () const
| k_dd
const Scalar | get_decouple () const
| Returns the function used to construct `tkij_auto` from `tkij_tot` .
void | n_comp_import (const Single_hor &comp)
| Imports the part of N due to the companion hole `comp` .
void | psi_comp_import (const Single_hor &comp)
| Imports the part of due to the companion hole `comp` .
void | beta_comp_import (const Single_hor &comp)
| Imports the part of due to the companion hole `comp`.
double | viriel_seul () const
| Computes the viriel error, that is the difference between the ADM and the Komar masses, calculated by the asymptotic behaviours of respectively and N .
void | init_bhole ()
| Sets the values of the fields to :
void | init_met_trK ()
| Sets the 3-metric tilde to the flat metric and gamt_point, trK and trK_point to zero.
void | init_bhole_seul ()
| Initiates for a single black hole.
void | set_psi_auto (const Scalar &psi_in)
| Sets the conformal factor relating the physical metric to the conformal one: .
void | set_n_auto (const Scalar &nn_in)
| Sets the lapse.
void | set_beta_auto (const Scalar &shift_in)
| Sets the shift.
void | set_aa_auto (const Scalar &aa_auto_in)
| Sets aa_auto.
void | set_aa_comp (const Scalar &aa_comp_in)
| Sets aa_comp.
void | set_aa (const Scalar &aa_in)
| Sets aa.
const Scalar | b_tilde () const
| Radial component of the shift with respect to the conformal metric.
const Scalar | darea_hor () const
| Element of area of the horizon.
double | area_hor () const
| Area of the horizon.
double | radius_hor () const
| Radius of the horizon.
double | ang_mom_hor () const
| Angular momentum (modulo).
double | mass_hor () const
| Mass computed at the horizon.
double | kappa_hor () const
| Surface gravity.
double | omega_hor () const
| Orbital velocity.
double | ang_mom_adm () const
| ADM angular Momentum.
Scalar | expansion () const
| Expansion of the outgoing null normal ( ).
const Valeur | boundary_psi_app_hor () const
| Neumann boundary condition for .
const Valeur | boundary_nn_Dir (double aa) const
| Dirichlet boundary condition for `N` .
const Valeur | boundary_nn_Neu (double aa) const
| Neumann boundary condition on nn .
const Valeur | boundary_beta_x (double om_orb, double om_loc) const
| Component x of boundary value of .
const Valeur | boundary_beta_y (double om_orb, double om_loc) const
| Component y of boundary value of .
const Valeur | boundary_beta_z () const
| Component z of boundary value of .
double | regularisation (const Vector &shift_auto, const Vector &shift_comp, double ang_vel)
| Corrects `shift_auto` in such a way that the total is equal to zero in the horizon, which should ensure the regularity of .
double | regularise_one ()
| Corrects the shift in the innermost shell, so that it remains and that equals zero on the horizon.
virtual void | sauve (FILE *fich) const
| Total or partial saves in a binary file.

## Protected Member Functions

void | del_deriv () const
| Deletes all the derived quantities.
void | set_der_0x0 () const
| Sets to `0x0` all the pointers on derived quantities.

## Protected Attributes

Map_af & | mp
| Affine mapping.
int | nz
| Number of zones.
double | radius
| Radius of the horizon in LORENE's units.
double | omega
| Angular velocity in LORENE's units.
double | regul
| Intensity of the correction on the shift vector.
Scalar | n_auto
| Lapse function .
Scalar | n_comp
| Lapse function .
Scalar | nn
| Lapse function .
Scalar | psi_auto
| Conformal factor .
Scalar | psi_comp
| Conformal factor .
Scalar | psi
| Conformal factor .
Scalar * | p_psi4
| Conformal factor .
Vector | dn
| Covariant derivative of the lapse with respect to the flat metric .
Vector | dpsi
| Covariant derivative of the conformal factor .
Vector | beta_auto
| Shift function .
Vector | beta_comp
| Shift function .
Vector | beta
| Shift function .
Metric * | p_gam
| Spatial metric .
Sym_tensor | aa_auto
| Components of the conformal representation of the traceless part of the extrinsic curvature:
Sym_tensor | aa_comp
| Components of the conformal representation of the traceless part of the extrinsic curvature:
Sym_tensor | aa
| Components of the conformal representation of the traceless part of the extrinsic curvature:
Sym_tensor * | p_k_dd
| Components of the extrinsic curvature:
Metric | tgam
| 3 metric tilde
Metric_flat | ff
| 3 metric flat
Sym_tensor | hh
| Deviation metric.
Sym_tensor | gamt_point
| Time derivative of the 3-metric tilde.
Scalar | trK
| Trace of the extrinsic curvature.
Scalar | trK_point
| Time derivative of the trace of the extrinsic curvature.
Scalar | decouple
| Function used to construct from the total .

## Friends

class | Bin_hor

## Detailed Description

Binary black holes system.

()

This class is intended for dealing with binary black holes configurations in the conformaly flat approximation.

Definition at line 894 of file isol_hor.h.

## Constructor & Destructor Documentation

## Single_hor() [1/3]

Lorene::Single_hor::Single_hor | ( | Map_af & | mpi | ) |

Standard constructor.

Parameters

  mpi | affine mapping

Definition at line 70 of file single_hor.C.

References aa, aa_auto, aa_comp, beta, beta_auto, beta_comp, decouple, dn, dpsi, ff, Lorene::flat_met_spher(), gamt_point, Lorene::get_bvect_spher(), Lorene::get_mg(), hh, mp, n_auto, n_comp, nn, nz, omega, psi, psi_auto, psi_comp, radius, regul, set_der_0x0(), tgam, trK, and trK_point.

## Single_hor() [2/3]

Lorene::Single_hor::Single_hor | ( | const Single_hor & | singlehor_in | ) |

Copy constructor.

Definition at line 96 of file single_hor.C.

References aa, aa_auto, aa_comp, beta, beta_auto, beta_comp, decouple, dn, dpsi, ff, gamt_point, hh, mp, n_auto, n_comp, nn, nz, omega, psi, psi_auto, psi_comp, radius, regul, set_der_0x0(), Single_hor(), tgam, trK, and trK_point.

## Single_hor() [3/3]

Lorene::Single_hor::Single_hor | ( | Map_af & | mp,
|  | FILE * | fich )

Constructor from a binary file.

Parameters

  mpi | affine mapping
  fich | file containing the saved `isol_hor`
  partial_read | indicates whether the full object must be read in file or whether the final construction is devoted to a constructor of a derived class

Definition at line 130 of file single_hor.C.

References aa, aa_auto, aa_comp, beta, beta_auto, beta_comp, decouple, dn, dpsi, ff, Lorene::flat_met_spher(), Lorene::fread_be(), gamt_point, Lorene::get_bvect_spher(), Lorene::get_mg(), hh, mp, n_auto, n_comp, nn, nz, omega, psi, psi_auto, psi_comp, radius, regul, set_der_0x0(), tgam, trK, and trK_point.

## ~Single_hor()

Lorene::Single_hor::~Single_hor | ( |  | ) |

virtual

Destructor.

Definition at line 176 of file single_hor.C.

References del_deriv().

## Member Function Documentation

## ang_mom_adm()

double Lorene::Single_hor::ang_mom_adm | ( |  | ) | const

ADM angular Momentum.

Definition at line 174 of file single_param.C.

References Lorene::Metric::cov(), get_gam(), get_k_dd(), mp, Lorene::Scalar::mult_rsint(), and trK.

## ang_mom_hor()

double Lorene::Single_hor::ang_mom_hor | ( |  | ) | const

Angular momentum (modulo).

Definition at line 107 of file single_param.C.

References Lorene::contract(), darea_hor(), ff, get_gam(), get_k_dd(), mp, Lorene::Scalar::mult_rsint(), Lorene::phi, radius, and Lorene::Scalar::std_spectral_base().

## area_hor()

double Lorene::Single_hor::area_hor | ( |  | ) | const

Area of the horizon.

Definition at line 88 of file single_param.C.

References darea_hor(), mp, Lorene::Scalar::raccord(), and radius.

## b_tilde()

const Scalar Lorene::Single_hor::b_tilde | ( |  | ) | const

Radial component of the shift with respect to the conformal metric.

Definition at line 68 of file single_param.C.

References beta, Lorene::contract(), and tgam.

## beta_comp_import()

void Lorene::Single_hor::beta_comp_import | ( | const Single_hor & | comp | ) |

Imports the part of due to the companion hole `comp`.

The total is then calculated.

Definition at line 465 of file single_hor.C.

References beta, beta_auto, beta_comp, Lorene::Vector::change_triad(), Lorene::Tensor::get_triad(), Lorene::Scalar::import(), mp, Lorene::Vector::set(), Single_hor(), and Lorene::Vector::std_spectral_base().

## boundary_beta_x()

const Valeur Lorene::Single_hor::boundary_beta_x | ( | double | om_orb,
|  | double | om_loc ) const

Component x of boundary value of .

Definition at line 174 of file single_bound.C.

References Lorene::Vector::change_triad(), get_gam(), mp, nn, Lorene::Metric::radial_vect(), Lorene::Valeur::set(), Lorene::Valeur::set_base(), and Lorene::Mtbl::set_etat_qcq().

## boundary_beta_y()

const Valeur Lorene::Single_hor::boundary_beta_y | ( | double | om_orb,
|  | double | om_loc ) const

Component y of boundary value of .

Definition at line 217 of file single_bound.C.

References Lorene::Vector::change_triad(), get_gam(), mp, nn, Lorene::Metric::radial_vect(), Lorene::Valeur::set(), Lorene::Valeur::set_base(), and Lorene::Mtbl::set_etat_qcq().

## boundary_beta_z()

const Valeur Lorene::Single_hor::boundary_beta_z | ( |  | ) | const

Component z of boundary value of .

Definition at line 260 of file single_bound.C.

References Lorene::Vector::change_triad(), get_gam(), mp, nn, Lorene::Metric::radial_vect(), Lorene::Valeur::set(), and Lorene::Valeur::set_base().

## boundary_nn_Dir()

const Valeur Lorene::Single_hor::boundary_nn_Dir | ( | double | aa | ) | const

Dirichlet boundary condition for `N` .

Definition at line 135 of file single_bound.C.

References mp, nn, Lorene::Valeur::set(), Lorene::Valeur::std_base_scal(), and Lorene::Scalar::val_grid_point().

## boundary_nn_Neu()

const Valeur Lorene::Single_hor::boundary_nn_Neu | ( | double | aa | ) | const

Neumann boundary condition on nn .

Definition at line 106 of file single_bound.C.

References dn, mp, nn, Lorene::Valeur::set(), Lorene::Valeur::std_base_scal(), tgam, and Lorene::Scalar::val_grid_point().

## boundary_psi_app_hor()

const Valeur Lorene::Single_hor::boundary_psi_app_hor | ( |  | ) | const

Neumann boundary condition for .

Definition at line 69 of file single_bound.C.

References Lorene::contract(), ff, get_k_dd(), mp, psi, Lorene::Valeur::set(), Lorene::Vector::set(), Lorene::Valeur::std_base_scal(), Lorene::Vector::std_spectral_base(), tgam, trK, and Lorene::Scalar::val_grid_point().

## darea_hor()

const Scalar Lorene::Single_hor::darea_hor | ( |  | ) | const

Element of area of the horizon.

Definition at line 77 of file single_param.C.

References get_gam(), Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## del_deriv()

void Lorene::Single_hor::del_deriv | ( |  | ) | const

protected

Deletes all the derived quantities.

Definition at line 221 of file single_hor.C.

References p_gam, p_k_dd, p_psi4, and set_der_0x0().

## expansion()

Scalar Lorene::Single_hor::expansion | ( |  | ) | const

Expansion of the outgoing null normal ( ).

Definition at line 190 of file single_param.C.

References Lorene::contract(), get_gam(), get_k_dd(), and trK.

## get_aa()

const Sym_tensor & Lorene::Single_hor::get_aa | ( |  | ) | const

Conformal representation of the traceless part of the extrinsic curvature:

Definition at line 334 of file single_hor.C.

References aa.

## get_aa_auto()

const Sym_tensor & Lorene::Single_hor::get_aa_auto | ( |  | ) | const

Conformal representation of the traceless part of the extrinsic curvature:

Definition at line 324 of file single_hor.C.

References aa_auto.

## get_aa_comp()

const Sym_tensor & Lorene::Single_hor::get_aa_comp | ( |  | ) | const

Conformal representation of the traceless part of the extrinsic curvature:

Definition at line 329 of file single_hor.C.

References aa_comp.

## get_beta()

const Vector & Lorene::Single_hor::get_beta | ( |  | ) | const

Shift function .

Definition at line 319 of file single_hor.C.

References beta.

## get_beta_auto()

const Vector & Lorene::Single_hor::get_beta_auto | ( |  | ) | const

Shift function .

Definition at line 309 of file single_hor.C.

References beta_auto.

## get_beta_comp()

const Vector & Lorene::Single_hor::get_beta_comp | ( |  | ) | const

Shift function .

Definition at line 314 of file single_hor.C.

References beta_comp.

## get_decouple()

const Scalar Lorene::Single_hor::get_decouple | ( |  | ) | const

inline

Returns the function used to construct `tkij_auto` from `tkij_tot` .

Definition at line 1146 of file isol_hor.h.

References decouple.

## get_dn()

const Vector & Lorene::Single_hor::get_dn | ( |  | ) | const

Covariant derivative of the lapse function .

Definition at line 299 of file single_hor.C.

References dn.

## get_dpsi()

const Vector & Lorene::Single_hor::get_dpsi | ( |  | ) | const

Covariant derivative with respect to the flat metric of the conformal factor .

Definition at line 304 of file single_hor.C.

References dpsi.

## get_gam()

const Metric & Lorene::Single_hor::get_gam | ( |  | ) | const

metric

Definition at line 339 of file single_hor.C.

References get_psi4(), p_gam, and tgam.

## get_k_dd()

const Sym_tensor & Lorene::Single_hor::get_k_dd | ( |  | ) | const

k_dd

Definition at line 348 of file single_hor.C.

References aa, get_gam(), get_psi4(), p_k_dd, trK, and Lorene::Tensor::up_down().

## get_mp()

const Map_af & Lorene::Single_hor::get_mp | ( |  | ) | const

inline

Returns the mapping (readonly).

Definition at line 1038 of file isol_hor.h.

References mp.

## get_n_auto()

const Scalar & Lorene::Single_hor::get_n_auto | ( |  | ) | const

Lapse function .

Definition at line 261 of file single_hor.C.

References n_auto.

## get_n_comp()

const Scalar & Lorene::Single_hor::get_n_comp | ( |  | ) | const

Lapse function .

Definition at line 266 of file single_hor.C.

References n_comp.

## get_nn()

const Scalar & Lorene::Single_hor::get_nn | ( |  | ) | const

Lapse function .

Definition at line 270 of file single_hor.C.

References nn.

## get_omega()

double Lorene::Single_hor::get_omega | ( |  | ) | const

inline

Returns the angular velocity.

Definition at line 1056 of file isol_hor.h.

References omega.

## get_psi()

const Scalar & Lorene::Single_hor::get_psi | ( |  | ) | const

Conformal factor .

Definition at line 284 of file single_hor.C.

References psi.

## get_psi4()

const Scalar & Lorene::Single_hor::get_psi4 | ( |  | ) | const

Conformal factor .

Definition at line 288 of file single_hor.C.

References p_psi4, Lorene::pow(), and psi.

## get_psi_auto()

const Scalar & Lorene::Single_hor::get_psi_auto | ( |  | ) | const

Conformal factor .

Definition at line 275 of file single_hor.C.

References psi_auto.

## get_psi_comp()

const Scalar & Lorene::Single_hor::get_psi_comp | ( |  | ) | const

Conformal factor .

Definition at line 280 of file single_hor.C.

References psi_comp.

## get_radius()

double Lorene::Single_hor::get_radius | ( |  | ) | const

inline

Returns the radius of the horizon.

Definition at line 1046 of file isol_hor.h.

References radius.

## get_tgam()

const Metric & Lorene::Single_hor::get_tgam | ( |  | ) | const

inline

Conformal metric .

Definition at line 1133 of file isol_hor.h.

References tgam.

## init_bhole()

void Lorene::Single_hor::init_bhole | ( |  | ) |

Sets the values of the fields to :

- `n_auto`
- `n_comp`
- `psi_auto`
- `psi_comp`

a being the radius of the hole, the other fields being set to zero.

Definition at line 484 of file single_hor.C.

References Lorene::Scalar::annule(), beta, beta_auto, beta_comp, dn, dpsi, ff, mp, n_auto, n_comp, nn, psi, psi_auto, psi_comp, Lorene::Scalar::raccord(), radius, Lorene::Vector::set(), Lorene::Scalar::set_dzpuis(), Lorene::Tensor::set_etat_zero(), Lorene::Scalar::std_spectral_base(), and Lorene::Vector::std_spectral_base().

## init_bhole_seul()

void Lorene::Single_hor::init_bhole_seul | ( |  | ) |

Initiates for a single black hole.

WARNING It supposes that the boost is zero and should only be used for an isolated black hole..

Definition at line 548 of file single_hor.C.

References Lorene::Scalar::annule(), beta, beta_auto, beta_comp, dn, dpsi, ff, mp, n_auto, n_comp, nn, psi, psi_auto, psi_comp, Lorene::Scalar::raccord(), radius, Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Tensor::set_etat_zero(), Lorene::Scalar::set_outer_boundary(), and Lorene::Scalar::std_spectral_base().

## init_met_trK()

void Lorene::Single_hor::init_met_trK | ( |  | ) |

Sets the 3-metric tilde to the flat metric and gamt_point, trK and trK_point to zero.

Definition at line 536 of file single_hor.C.

References gamt_point, mp, tgam, trK, and trK_point.

## kappa_hor()

double Lorene::Single_hor::kappa_hor | ( |  | ) | const

Surface gravity.

Definition at line 146 of file single_param.C.

References ang_mom_hor(), Lorene::pow(), radius_hor(), and Lorene::sqrt().

## mass_hor()

double Lorene::Single_hor::mass_hor | ( |  | ) | const

Mass computed at the horizon.

Definition at line 135 of file single_param.C.

References ang_mom_hor(), Lorene::pow(), radius_hor(), and Lorene::sqrt().

## n_comp_import()

void Lorene::Single_hor::n_comp_import | ( | const Single_hor & | comp | ) |

Imports the part of N due to the companion hole `comp` .

The total N is then calculated.

It also imports the covariant derivative of N and construct the total .

Definition at line 390 of file single_hor.C.

References Lorene::Vector::change_triad(), Lorene::Tensor::dec_dzpuis(), Lorene::Scalar::derive_cov(), dn, ff, Lorene::Tensor::get_mp(), Lorene::Tensor::get_triad(), Lorene::Scalar::import(), Lorene::Tensor::inc_dzpuis(), mp, n_auto, n_comp, nn, Lorene::Scalar::raccord(), Lorene::Vector::set(), Lorene::Valeur::set_base(), Lorene::Tensor::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Single_hor(), and Lorene::Scalar::std_spectral_base().

## omega_hor()

double Lorene::Single_hor::omega_hor | ( |  | ) | const

Orbital velocity.

Definition at line 160 of file single_param.C.

References ang_mom_hor(), Lorene::pow(), radius_hor(), and Lorene::sqrt().

## operator=()

void Lorene::Single_hor::operator= | ( | const Single_hor & | singlehor_in | ) |

Assignment to another Single_hor.

Definition at line 186 of file single_hor.C.

References aa, aa_auto, aa_comp, beta, beta_auto, beta_comp, decouple, dn, dpsi, ff, gamt_point, hh, mp, n_auto, n_comp, nn, nz, omega, psi, psi_auto, psi_comp, radius, regul, Single_hor(), tgam, trK, and trK_point.

## psi_comp_import()

void Lorene::Single_hor::psi_comp_import | ( | const Single_hor & | comp | ) |

Imports the part of due to the companion hole `comp` .

The total is then calculated.

It also imports the covariant derivative of and construct the total .

Definition at line 424 of file single_hor.C.

References Lorene::Vector::change_triad(), Lorene::Tensor::dec_dzpuis(), Lorene::Scalar::derive_cov(), dpsi, ff, Lorene::Tensor::get_mp(), Lorene::Tensor::get_triad(), Lorene::Scalar::import(), Lorene::Tensor::inc_dzpuis(), mp, psi, psi_auto, psi_comp, Lorene::Scalar::raccord(), Lorene::Vector::set(), Lorene::Valeur::set_base(), Lorene::Tensor::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Single_hor(), and Lorene::Scalar::std_spectral_base().

## radius_hor()

double Lorene::Single_hor::radius_hor | ( |  | ) | const

Radius of the horizon.

Definition at line 97 of file single_param.C.

References area_hor(), and Lorene::pow().

## regularisation()

double Lorene::Single_hor::regularisation | ( | const Vector & | shift_auto,
|  | const Vector & | shift_comp,
|  | double | ang_vel )

Corrects `shift_auto` in such a way that the total is equal to zero in the horizon, which should ensure the regularity of .

WARNING : this should only be used for a black hole in a binary system `Bin_hor`.

Parameters

  comp | [input]: the part of generated by the companion hole.

Definition at line 59 of file single_regul.C.

References Lorene::Valeur::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::annule_hard(), beta_auto, Lorene::Vector::change_triad(), Lorene::Valeur::coef_i(), Lorene::diffrelmax(), Lorene::Tensor::get_mp(), Lorene::Tensor::get_triad(), Lorene::Scalar::import(), Lorene::norme(), nz, Lorene::pow(), Lorene::r, Lorene::Valeur::set(), Lorene::Vector::set(), Lorene::Valeur::set_base(), Lorene::Valeur::set_etat_c_qcq(), Lorene::Scalar::set_spectral_va(), and Lorene::Vector::std_spectral_base().

## regularise_one()

double Lorene::Single_hor::regularise_one | ( |  | ) |

Corrects the shift in the innermost shell, so that it remains and that equals zero on the horizon.

return the relative difference between the shift before and after the regularisation.

WARNING this should only be used for an isolated black hole.

Definition at line 153 of file single_regul.C.

References Lorene::Valeur::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::annule_hard(), Lorene::Valeur::base, beta, Lorene::Vector::change_triad(), Lorene::Valeur::coef_i(), Lorene::diffrelmax(), mp, Lorene::norme(), nz, omega, Lorene::pow(), Lorene::Valeur::set(), Lorene::Vector::set(), Lorene::Valeur::set_etat_c_qcq(), Lorene::Tensor::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and Lorene::Vector::std_spectral_base().

## sauve()

void Lorene::Single_hor::sauve | ( | FILE * | fich | ) | const

virtual

Total or partial saves in a binary file.

Parameters

  fich | binary file
  partial_save | indicates whether the whole object must be saved.

Definition at line 244 of file single_hor.C.

References beta_auto, Lorene::fwrite_be(), gamt_point, n_auto, omega, psi_auto, tgam, trK, and trK_point.

## set_aa()

void Lorene::Single_hor::set_aa | ( | const Scalar & | aa_in | ) |

Sets aa.

Definition at line 382 of file single_hor.C.

References aa.

## set_aa_auto()

void Lorene::Single_hor::set_aa_auto | ( | const Scalar & | aa_auto_in | ) |

Sets aa_auto.

Definition at line 374 of file single_hor.C.

References aa_auto.

## set_aa_comp()

void Lorene::Single_hor::set_aa_comp | ( | const Scalar & | aa_comp_in | ) |

Sets aa_comp.

Definition at line 378 of file single_hor.C.

References aa_comp.

## set_beta_auto()

void Lorene::Single_hor::set_beta_auto | ( | const Scalar & | shift_in | ) |

Sets the shift.

Definition at line 370 of file single_hor.C.

References beta_auto.

## set_der_0x0()

void Lorene::Single_hor::set_der_0x0 | ( |  | ) | const

protected

Sets to `0x0` all the pointers on derived quantities.

Definition at line 231 of file single_hor.C.

References p_gam, p_k_dd, and p_psi4.

## set_mp()

Map_af & Lorene::Single_hor::set_mp | ( |  | ) |

inline

Read/write of the mapping.

Definition at line 1041 of file isol_hor.h.

References mp.

## set_n_auto()

void Lorene::Single_hor::set_n_auto | ( | const Scalar & | nn_in | ) |

Sets the lapse.

Definition at line 366 of file single_hor.C.

References n_auto.

## set_omega()

void Lorene::Single_hor::set_omega | ( | double | ome | ) |

inline

Sets the angular velocity to `ome` .

Definition at line 1060 of file isol_hor.h.

References omega.

## set_psi_auto()

void Lorene::Single_hor::set_psi_auto | ( | const Scalar & | psi_in | ) |

Sets the conformal factor relating the physical metric to the conformal one: .

is defined by

Sets the value at the current time step (`jtime` ) and delete all quantities which depend on .

Definition at line 362 of file single_hor.C.

References psi_auto.

## set_radius()

void Lorene::Single_hor::set_radius | ( | double | rad | ) |

inline

Sets the radius of the horizon to `rad` .

Definition at line 1051 of file isol_hor.h.

References radius.

## viriel_seul()

double Lorene::Single_hor::viriel_seul | ( |  | ) | const

Computes the viriel error, that is the difference between the ADM and the Komar masses, calculated by the asymptotic behaviours of respectively and N .

WARNING this should only be used for an isolated black hole.

Definition at line 57 of file binhor_viriel.C.

References mp, n_auto, and psi_auto.

## Friends And Related Symbol Documentation

## Bin_hor

friend class Bin_hor

friend

Definition at line 1333 of file isol_hor.h.

## Member Data Documentation

## aa

Sym_tensor Lorene::Single_hor::aa

protected

Components of the conformal representation of the traceless part of the extrinsic curvature:

Definition at line 971 of file isol_hor.h.

## aa_auto

Sym_tensor Lorene::Single_hor::aa_auto

protected

Components of the conformal representation of the traceless part of the extrinsic curvature:

Definition at line 959 of file isol_hor.h.

## aa_comp

Sym_tensor Lorene::Single_hor::aa_comp

protected

Components of the conformal representation of the traceless part of the extrinsic curvature:

Definition at line 965 of file isol_hor.h.

## beta

Vector Lorene::Single_hor::beta

protected

Shift function .

Definition at line 950 of file isol_hor.h.

## beta_auto

Vector Lorene::Single_hor::beta_auto

protected

Shift function .

Definition at line 944 of file isol_hor.h.

## beta_comp

Vector Lorene::Single_hor::beta_comp

protected

Shift function .

Definition at line 947 of file isol_hor.h.

## decouple

Scalar Lorene::Single_hor::decouple

protected

Function used to construct from the total .

Only used for a binary system.

Mainly this `Scalar` is 1 around the hole and 0 around the companion and the sum of `decouple` for the hole and his companion is 1 everywhere.

Definition at line 1002 of file isol_hor.h.

## dn

Vector Lorene::Single_hor::dn

protected

Covariant derivative of the lapse with respect to the flat metric .

Definition at line 937 of file isol_hor.h.

## dpsi

Vector Lorene::Single_hor::dpsi

protected

Covariant derivative of the conformal factor .

Definition at line 941 of file isol_hor.h.

## ff

Metric_flat Lorene::Single_hor::ff

protected

3 metric flat

Definition at line 980 of file isol_hor.h.

## gamt_point

Sym_tensor Lorene::Single_hor::gamt_point

protected

Time derivative of the 3-metric tilde.

Definition at line 986 of file isol_hor.h.

## hh

Sym_tensor Lorene::Single_hor::hh

protected

Deviation metric.

Definition at line 983 of file isol_hor.h.

## mp

Map_af& Lorene::Single_hor::mp

protected

Affine mapping.

Definition at line 900 of file isol_hor.h.

## n_auto

Scalar Lorene::Single_hor::n_auto

protected

Lapse function .

Definition at line 915 of file isol_hor.h.

## n_comp

Scalar Lorene::Single_hor::n_comp

protected

Lapse function .

Definition at line 918 of file isol_hor.h.

## nn

Scalar Lorene::Single_hor::nn

protected

Lapse function .

Definition at line 921 of file isol_hor.h.

## nz

int Lorene::Single_hor::nz

protected

Number of zones.

Definition at line 903 of file isol_hor.h.

## omega

double Lorene::Single_hor::omega

protected

Angular velocity in LORENE's units.

Definition at line 909 of file isol_hor.h.

## p_gam

Metric* Lorene::Single_hor::p_gam

mutable protected

Spatial metric .

Definition at line 953 of file isol_hor.h.

## p_k_dd

Sym_tensor* Lorene::Single_hor::p_k_dd

mutable protected

Components of the extrinsic curvature:

Definition at line 974 of file isol_hor.h.

## p_psi4

Scalar* Lorene::Single_hor::p_psi4

mutable protected

Conformal factor .

Definition at line 933 of file isol_hor.h.

## psi

Scalar Lorene::Single_hor::psi

protected

Conformal factor .

Definition at line 930 of file isol_hor.h.

## psi_auto

Scalar Lorene::Single_hor::psi_auto

protected

Conformal factor .

Definition at line 924 of file isol_hor.h.

## psi_comp

Scalar Lorene::Single_hor::psi_comp

protected

Conformal factor .

Definition at line 927 of file isol_hor.h.

## radius

double Lorene::Single_hor::radius

protected

Radius of the horizon in LORENE's units.

Definition at line 906 of file isol_hor.h.

## regul

double Lorene::Single_hor::regul

protected

Intensity of the correction on the shift vector.

Definition at line 912 of file isol_hor.h.

## tgam

Metric Lorene::Single_hor::tgam

protected

3 metric tilde

Definition at line 977 of file isol_hor.h.

## trK

Scalar Lorene::Single_hor::trK

protected

Trace of the extrinsic curvature.

Definition at line 989 of file isol_hor.h.

## trK_point

Scalar Lorene::Single_hor::trK_point

protected

Time derivative of the trace of the extrinsic curvature.

Definition at line 992 of file isol_hor.h.

The documentation for this class was generated from the following files:

- isol_hor.h
- binhor_viriel.C
- single_bound.C
- single_hor.C
- single_param.C
- single_regul.C